Package org.zkoss.zk.ui.event

## Interface SelectEvent.SelectedObjectHandler<T extends Component>

- Enclosing class:
    SelectEvent<T extends Component,​E>

      public static interface SelectEvent.SelectedObjectHandler<T extends Component>

  A handle to retrieve selected objects from selected items (components) if possible.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.lang.Object>` | `getObjects​(java.util.Set<T> items)` | Return selected objects from selected items if possible.
    `java.util.Set<T>` | `getPreviousSelectedItems()` | Return the previous selected items from the target component.
    `java.util.Set<java.lang.Object>` | `getPreviousSelectedObjects()` | Return the previous selected objects from the target component.
    `java.util.Set<T>` | `getUnselectedItems()` | Return the unselected items from the target component.
    `java.util.Set<java.lang.Object>` | `getUnselectedObjects()` | Return the unselected objects from the target component.

- - ### Method Detail

    - #### getObjects

          java.util.Set<java.lang.Object> getObjects​(java.util.Set<T> items)

      Return selected objects from selected items if possible.

    - #### getPreviousSelectedItems

          java.util.Set<T> getPreviousSelectedItems()

      Return the previous selected items from the target component.
      Since:
        7.0.0

    - #### getUnselectedItems

          java.util.Set<T> getUnselectedItems()

      Return the unselected items from the target component.
      Since:
        7.0.1

    - #### getPreviousSelectedObjects

          java.util.Set<java.lang.Object> getPreviousSelectedObjects()

      Return the previous selected objects from the target component.
      Since:
        7.0.1

    - #### getUnselectedObjects

          java.util.Set<java.lang.Object> getUnselectedObjects()

      Return the unselected objects from the target component.
      Since:
        7.0.1